Bug 37126 - Provide link to patron account when checking out to statistical patron ends checkout
Summary: Provide link to patron account when checking out to statistical patron ends c...
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Eric Garcia
QA Contact: Emily Lamancusa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-06-18 22:52 UTC by Catrina Berka
Modified: 2024-07-02 15:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement links the patron details in the message displayed when checking out an item to a statistical patron, where that item is already checked out to another patron. Previously, the patron details in the message did not link to the patron. This now makes it easier for staff to check the patron's details, for example, to check for any incorrect charges.
Version(s) released in:
24.11.00


Attachments
CardNumber should be link to patron account (191.84 KB, image/png)
2024-06-18 22:52 UTC, Catrina Berka
Details
Bug 37126: Added link to patron account when checking out to statistical patron ends checkout (1.40 KB, patch)
2024-07-01 18:08 UTC, Eric Garcia
Details | Diff | Splinter Review
Bug 37126: Add link to patron account when checking out to statistical patron ends checkout (2.83 KB, patch)
2024-07-02 03:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 37126: Add link to patron account when checking out to statistical patron ends checkout (2.90 KB, patch)
2024-07-02 14:23 UTC, Emily Lamancusa
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Catrina Berka 2024-06-18 22:52:18 UTC
Created attachment 167878 [details]
CardNumber should be link to patron account

Bug 27992 added the borrower name and card number if an item scanned for local use is checked out to another borrower and it clears it from that patron's checkins. Rather than just providing the patron name and card number, it would be helpful to hyperlink to the patron account so staff can easily access the borrower's information and make sure no overdue fines have been errantly applied to their account.
Comment 1 Eric Garcia 2024-07-01 18:08:36 UTC
Created attachment 168331 [details] [review]
Bug 37126: Added link to patron account when checking out to statistical patron ends checkout

To test:
1. Check out item with patron
2. Check out the same item locally with a separate patron
3. Notice how "Item checked in from: PATRON_NAME (BORROWERNUMBER) is not hyperlinked
4. Apply patch
5. Repeat steps 1 and 2
6. Notice how "Item checked in from: PATRON_NAME (BORROWERNUMBER) is now hyperlinked to the borrower's details
Comment 2 David Nind 2024-07-02 03:56:15 UTC
Created attachment 168336 [details] [review]
Bug 37126: Add link to patron account when checking out to statistical patron ends checkout

When checking out an item to a statistical patron, where that item
is already checked out to another patron, the patron details in the
message do not link to that patron.

This patch fixes this so that the patron details are now linked.

This could be useful so that staff can more easily access the patron's
details, and can, for example, check for any incorrect charges.

Test plan:
1. Set up a statistical patron for local use:[1]
   1.1 Add a statistical patron category (Administration > Patrons and
       circulation > Patron categories), for example:
       - Category code: STAT
       - Description: Statistical
       - Enrollment period: 99
       - Category type: Statistical
   1.2 Add a new statistical paton (Patrons > +New patron > Statistical),
       for example:
       - Surname: Reference Statistical Patron
       - Card number: refstat
2. Check out an item to a standard patron.
3. Check out the same item to the statistical patron created in step 1.2.
4. Note that when the item is checked out to the statistical patron,
   the patron name and number in the message are not linked:
   "Item checked in from: PATRON_NAME (BORROWERNUMBER)".
5. Apply the patch.
6. Repeat steps 2 and 3.
7. Note that the patron details in the message are now linked.

[1] Monday Minutes: Statistical Patron and Local Use:
    https://bywatersolutions.com/education/monday-minutes-statistical-patron-and-local-use

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2024-07-02 03:59:46 UTC
Comment on attachment 168331 [details] [review]
Bug 37126: Added link to patron account when checking out to statistical patron ends checkout

I have fixed that patch so that it now works as expected - I changed patron=BOrrOWER to patron=BORROWER. With the patch as it was, there was no patron name and card number displayed.

I also amended the commit message to follow the commit message guidelines (https://wiki.koha-community.org/wiki/Commit_messages). For some reason, the patch as applied did not have the test plan.
Comment 4 David Nind 2024-07-02 04:05:59 UTC
I've added the assignee, and a release note.

Feel free to amend these, and the patch commit message, as requried.
Comment 5 Emily Lamancusa 2024-07-02 14:23:53 UTC
Created attachment 168371 [details] [review]
Bug 37126: Add link to patron account when checking out to statistical patron ends checkout

When checking out an item to a statistical patron, where that item
is already checked out to another patron, the patron details in the
message do not link to that patron.

This patch fixes this so that the patron details are now linked.

This could be useful so that staff can more easily access the patron's
details, and can, for example, check for any incorrect charges.

Test plan:
1. Set up a statistical patron for local use:[1]
   1.1 Add a statistical patron category (Administration > Patrons and
       circulation > Patron categories), for example:
       - Category code: STAT
       - Description: Statistical
       - Enrollment period: 99
       - Category type: Statistical
   1.2 Add a new statistical paton (Patrons > +New patron > Statistical),
       for example:
       - Surname: Reference Statistical Patron
       - Card number: refstat
2. Check out an item to a standard patron.
3. Check out the same item to the statistical patron created in step 1.2.
4. Note that when the item is checked out to the statistical patron,
   the patron name and number in the message are not linked:
   "Item checked in from: PATRON_NAME (BORROWERNUMBER)".
5. Apply the patch.
6. Repeat steps 2 and 3.
7. Note that the patron details in the message are now linked.

[1] Monday Minutes: Statistical Patron and Local Use:
    https://bywatersolutions.com/education/monday-minutes-statistical-patron-and-local-use

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Emily Lamancusa <emily.lamancusa@montgomerycountymd.gov>
Comment 6 Emily Lamancusa 2024-07-02 14:25:02 UTC
Works, code looks good, and QA tool passes. Thanks all! Passing QA
Comment 7 Katrin Fischer 2024-07-02 15:22:26 UTC
Pushed for 24.11!

Well done everyone, thank you!